<?php

	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'simple' ),
	) );
	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );


/** simple options */
if ( ! isset( $content_width ) )
	$content_width = 640;
	add_theme_support( 'automatic-feed-links' );

class myoptions {
	function getOptions() {
		$options = get_option('simple_options');
		if (!is_array($options)) {
			$options['banner'] = false;
			$options['topbar'] = true;
			$options['sitenotice'] = true;
			$options['bottombar'] = true;
			$options['banner_alt'] = '';
			$options['sitenoticecontent'] = 'Thank you for using my theme. You can edit this notice at Theme Options.';
			update_option('simple_options', $options);
		}
		return $options;
	}

	function add() {
		if(isset($_POST['simple_save'])) {
			$options = myoptions::getOptions();
			if ($_POST['topbar']) {
				$options['topbar'] = (bool)true;
			} else {
				$options['topbar'] = (bool)false;
			}
			if ($_POST['bottombar']) {
				$options['bottombar'] = (bool)true;
			} else {
				$options['bottombar'] = (bool)false;
			}

			if ($_POST['notice']) {
				$options['notice'] = (bool)true;
			} else {
				$options['notice'] = (bool)false;
			}
			if ($_POST['target']) {
				$options['target'] = (bool)true;
			} else {
				$options['target'] = (bool)false;
			}
			$options['banner'] = $_POST['banner'];
			$options['banner_link'] = $_POST['banner_link'];
			$options['banner_alt'] = stripslashes($_POST['banner_alt']);
			if ($_POST['sitenotice']) {
				$options['sitenotice'] = (bool)true;
			} else {
				$options['sitenotice'] = (bool)false;
			}
			$options['sitenoticecontent'] = stripslashes($_POST['sitenoticecontent']);
			update_option('simple_options', $options);

		} else {
			myoptions::getOptions();
		}

		add_theme_page('Theme Options','Theme Options', 'edit_themes', basename(__FILE__), array('myoptions', 'display'));
	}

	function display() {
		$options = myoptions::getOptions();
?>

<div style="background:#FFF; padding:15px 0 0 10px;">
  <div style="width:783px;padding:15px; border:3px #C00 solid;">
    <h2> Donate</h2>
    If you like this plugin and find it useful, help keep this plugin free and actively developed by clicking the <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=zp1214%40gmail%2ecom&item_name=SimpleBlue%20Wordpress%20Theme&item_number=Support%20Open%20Source&no_shipping=0&no_note=1&tax=0&currency_code=USD&lc=US&bn=PP%2dDonationsBF&charset=UTF%2d8" target="_blank"><strong>donate</strong></a> button to donate with Paypal.<br />
    <br />
    <a target="_blank" title="Donate" href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=zp1214%40gmail%2ecom&item_name=SimpleBlue%20Wordpress%20Theme&item_number=Support%20Open%20Source&no_shipping=0&no_note=1&tax=0&currency_code=USD&lc=US&bn=PP%2dDonationsBF&charset=UTF%2d8"> <img src="http://www.paypal.com/en_US/i/btn/btn_donate_LG.gif" alt="Donate with Paypal" /> </a> </div>
  <form action="#" method="post" enctype="multipart/form-data" name="simple_form" id="simple_form">
    <div style="width:823px; line-height:160%; font-size:14px;">
      <h2 style="border-bottom:1px #333 dashed; margin:10px 0;"> Site Wide Notice </h2>
      <div style="margin:0 0 10px 0;">
        <label>Check this if you want to say something to your reader &nbsp;&nbsp;&nbsp;&nbsp;
          <input name="sitenotice" type="checkbox" value="checkbox" <?php if($options['sitenotice']) echo "checked='checked'"; ?> />
        </label>
        <h3 style="margin:5px; text-decoration:underline">Your Notice</h3>
          <textarea name="sitenoticecontent" id="sitenoticecontent" cols="50" rows="5" style="width:50%" class="code"><?php echo($options['sitenoticecontent']); ?></textarea>
      </div>
      <div class="wrap">
        <h2 style="border-bottom:1px #333 dashed; margin:10px 0;"> Custom Sidebar </h2>
        <div style="margin:0 0 10px 0;">
          <label>Check this if you need <strong>top_sidebar(one colume sidebar )</strong> &nbsp;&nbsp;&nbsp;&nbsp;
            <input name="topbar" type="checkbox" value="checkbox" <?php if($options['topbar']) echo "checked='checked'"; ?> />
          </label>
          <br />
          <b>Note:</b> Uncheck this if you don't want to show a 300px wide sidebar</div>
        <div>
          <label>Check this if you want to show sidebar in <strong>two colums</strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <input name="bottombar" type="checkbox" value="checkbox" <?php if($options['bottombar']) echo "checked='checked'"; ?> />
          </label>
          <br />
          <b>Note:</b>Uncheck this if you don't want to divide your sidebar</div>
        <h2 style="border-bottom:1px #333 dashed; margin:10px 0;"> Custom Banner</h2>
        <p style="color:red;">Please make sure your banner not too large</p>
        <table class="form-table">
          <tbody>
            <tr valign="top">
              <td scope="row"> Check this for using customed banner</td>
              <td><label>
                  <input name="notice" type="checkbox" value="checkbox" <?php if($options['notice']) echo "checked='checked'"; ?> />
                </label></td>
            </tr>
            <tr valign="top">
              <td scope="row"> Image URL </td>
              <td><label>
                  <input name="banner" type="text" value="<?php echo($options['banner']); ?>" size="80" />
                  With http:// </label></td>
            </tr>
            <tr valign="top">
              <td scope="row"> Ad link </td>
              <td><label>
                  <input name="banner_link" type="text" value="<?php echo($options['banner_link']); ?>" size="80" />
                  With http:// </label></td>
            </tr>
            <tr valign="top">
              <td scope="row"> Check this if you want<br />
                to open link in a new window</td>
              <td><label>
                  <input name="target" type="checkbox" value="checkbox" <?php if($options['target']) echo "checked='checked'"; ?> />
                </label></td>
            </tr>
            <tr>
              <td>Image Title</td>
              <td><label>
                  <textarea name="banner_alt" id="banner_alt" cols="50" rows="5" style="width:100%" class="code"><?php echo($options['banner_alt']); ?></textarea>
                </label></td>
            </tr>
          </tbody>
        </table>
        <p class="submit">
          <input class="button-primary" type="submit" name="simple_save" value="Update" />
        </p>
      </div>
    </div>
  </form>
</div>
<?php
	}
}
// register functions
add_action('admin_menu', array('myoptions', 'add'));
?>
<?php
/*sidebar*/
if( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name' => 'top_sidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>'
	));
	register_sidebar(array(
		'name' => 'leftsidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>'
	));
	register_sidebar(array(
		'name' => 'rightsidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h2>',
		'after_title' => '</h2>'
	));
}
//recent comments
function utf8_trim($str) {
	$len = strlen($str);
	for ($i=strlen($str)-1; $i>=0; $i-=1){
		$hex .= ' '.ord($str[$i]);
		$ch = ord($str[$i]);
        if (($ch & 128)==0) return(substr($str,0,$i));
		if (($ch & 192)==192) return(substr($str,0,$i));
	}
	return($str.$hex);
}
function mul_excerpt ($excerpt) {
	 $excerpt=strip_tags($excerpt);
     $myexcerpt = substr($excerpt,0,85);
     return utf8_trim($myexcerpt);
}
add_filter('the_excerpt', 'mul_excerpt');

function dp_recent_comments($no_comments = 5) { 
    global $wpdb; 
    $request = "SELECT * FROM $wpdb->comments"; 
    $request .= " JOIN $wpdb->posts ON ID = comment_post_ID"; 
    $request .= " WHERE comment_approved = '1' AND post_status = 'publish' AND post_password =''"; 
    $request .= " ORDER BY comment_date DESC LIMIT $no_comments"; 
    $comments = $wpdb->get_results($request); 
    if ($comments) { 
        foreach ($comments as $comment) { 
            ob_start(); 
			$excerpttt= $comment->comment_content;
			$excerptt= mul_excerpt($excerpttt);
            ?>
<li> <a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>" title="Comments by <?php echo dp_get_author($comment); ?>"><?php echo $excerptt; ?> </a></li>
<?php 
            ob_end_flush(); 
        } 
    } else { 
        echo '<li>No comment</li>'; 
    } 
}

function dp_get_author($comment) { 
    $author = ""; 
    if ( empty($comment->comment_author) ) 
        $author = 'Anonymous'; 
    else 
        $author = $comment->comment_author; 
    return $author; 
}


/* popular post*/
function most_popular_posts($no_posts = 10,  $before = '<li>', $after = '</li>', $show_pass_post = false, $duration='60') {
//定制参数，可以自己修改相关参数，以便写样式
global $wpdb;
$request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
//在数据库里选择所需的数据
$request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
//筛选数据，只统计公开的文章
if(!$show_pass_post) $request .= " AND post_password =''";
if($duration !="") { $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
}
$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
//按评论数排序
$posts = $wpdb->get_results($request);
$output = '';
if ($posts) {
foreach ($posts as $post) {
$post_title = stripslashes($post->post_title);
$comment_count = $post->comment_count;
$permalink = get_permalink($post->ID);
$output .= $before . '<a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a> (' . $comment_count.' Comments)' . $after;
}
//输出文章列表项
} else {
$output .= $before . "None found" . $after;
//没有文章时则输出
}
echo $output;
}

/** Comments */
if (function_exists('wp_list_comments')) {
	// comment count
	add_filter('get_comments_number', 'comment_count', 0);
	function comment_count( $commentcount ) {
		global $id;
		$_commnets = get_comments('post_id=' . $id);
		$comments_by_type = &separate_comments($_commnets);
		return count($comments_by_type['comment']);
	}
}

// custom comments
function custom_comments($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	global $commentcount;
	if(!$commentcount) {
		$commentcount = 0;
	}
?>
<li <?php comment_class(); ?>>
  <div id="authinfo"></div>
  <div style="clear:both"></div>
  <?php if (get_option('show_avatars')) { ?>
  <div class="info"> <span class="rightmargin">
    <?php if (get_comment_author_url()) : ?>
    <a id="commentauthor-<?php comment_ID() ?>" href="<?php comment_author_url() ?>" rel="external nofollow" target="_blank">
    <?php comment_author(); ?>
    </a>
    <?php else : ?>
    <span id="commentauthor-<?php comment_ID() ?>">
    <?php comment_author(); ?>
    </span>
    <?php endif; ?>
    <?php comment_date('Y.n.j') ?>
    at
    <?php comment_time('H:i') ?>
    <?php
			if (function_exists("qc_comment_edit_link")) {
				qc_comment_edit_link('', ' | ', '', __('Edit'));
			}
			edit_comment_link(__('Edit'), '(', ')');
		?>
    </span>
    <?php if(!function_exists('mailtocommenter_button')) {comment_reply_link(array_merge( $args, array('reply_text' => 'Reply', 'depth' => $depth, 'max_depth' => $args['max_depth'])));	} else if(function_exists('mailtocommenter_button')&& $depth<get_option('thread_comments_depth')) { ?>
    <a  rel='nofollow' class='comment-reply-link' href="javascript:void(0);" onclick="addComment.moveForm('comment-<?php comment_ID() ?>','<?php comment_ID() ?>', 'respond', '<?php echo $post->ID; ?>');RE_CON.reply('commentauthor-<?php comment_ID() ?>','comment-<?php comment_ID() ?>','comment'); ">
    <?php _e('Reply'); ?>
    </a>
    <?php } else { ?>
    <a  rel='nofollow' class='comment-reply-link' href="javascript:void(0);" onclick="RE_CON.reply('commentauthor-<?php comment_ID() ?>','comment-<?php comment_ID() ?>','comment'); ">
    <?php _e('Reply'); ?>
    </a>
    <?php }?>
    | <a href="javascript:void(0);" onClick="RE_CON.quote('commentauthor-<?php comment_ID() ?>', 'comment-<?php comment_ID() ?>', 'body-<?php comment_ID() ?>', 'comment');">
    <?php _e('Quote'); ?>
    </a> </div>
  <?php echo get_avatar($comment, 40);  ?>
  <?php if ($comment->comment_approved == '0') : ?>
  <div class="content"><em>
    <?php _e('Your comment is awaiting moderation.') ?>
    </em> </div>
  <?php endif; ?>
  <div class="content"  id="body-<?php comment_ID() ?>">
    <?php comment_text(); ?>
  </div>
  <?php } else { ?>
  <div class="sinfo"> <span class="rightmargin">
    <?php if (get_comment_author_url()) : ?>
    <a id="commentauthor-<?php comment_ID() ?>" href="<?php comment_author_url() ?>" rel="external nofollow" target="_blank">
    <?php comment_author(); ?>
    </a>
    <?php else : ?>
    <span id="commentauthor-<?php comment_ID() ?>">
    <?php comment_author(); ?>
    </span>
    <?php endif; ?>
    <?php comment_date('Y.n.j') ?>
    at
    <?php comment_time('H:i') ?>
    <?php
			if (function_exists("qc_comment_edit_link")) {
				qc_comment_edit_link('', ' | ', '', __('Edit'));
			}
			edit_comment_link(__('Edit'), '(', ')');
		?>
    </span>
    <?php if(!function_exists('mailtocommenter_button')) {comment_reply_link(array_merge( $args, array('reply_text' => 'Reply', 'depth' => $depth, 'max_depth' => $args['max_depth'])));	} else if(function_exists('mailtocommenter_button')&& $depth<get_option('thread_comments_depth')) { ?>
    <a  rel='nofollow' class='comment-reply-link' href="javascript:void(0);" onclick="addComment.moveForm('comment-<?php comment_ID() ?>','<?php comment_ID() ?>', 'respond', '<?php echo $post->ID; ?>');RE_CON.reply('commentauthor-<?php comment_ID() ?>','comment-<?php comment_ID() ?>','comment'); ">
    <?php _e('Reply'); ?>
    </a>
    <?php } else { ?>
    <a  rel='nofollow' class='comment-reply-link' href="javascript:void(0);" onclick="RE_CON.reply('commentauthor-<?php comment_ID() ?>','comment-<?php comment_ID() ?>','comment'); ">
    <?php _e('Reply'); ?>
    </a>
    <?php }?>
    | <a href="javascript:void(0);" onClick="RE_CON.quote('commentauthor-<?php comment_ID() ?>', 'comment-<?php comment_ID() ?>', 'body-<?php comment_ID() ?>', 'comment');">
    <?php _e('Quote'); ?>
    </a> </div>
  <?php if ($comment->comment_approved == '0') : ?>
  <div class="scontent"><em>
    <?php _e('Your comment is awaiting moderation.') ?>
    </em> </div>
  <?php endif; ?>
  <div class="scontent"  id="body-<?php comment_ID() ?>">
    <?php comment_text(); ?>
  </div>
  <?php } ?>
  <?php
}
?>
