<?php get_header();?>

<div id="content">
  <?php $post = $posts[0]; if (is_category()) { ?>
  <h2 class="pagetitle"><?php printf(__('Archive for the &#8216;%s&#8217; Category'), single_cat_title('', false)); ?></h2>
  <?php  } elseif( is_tag() ) { ?>
  <h2 class="pagetitle"><?php printf(__('Posts Tagged &#8216;%s&#8217;'), single_tag_title('', false) ); ?></h2>
  <?php  } elseif (is_day()) { ?>
  <h2 class="pagetitle"><?php printf(_c('Archive for %s|Daily archive page'), get_the_time('F jS, Y')); ?></h2>
  <?php  } elseif (is_month()) { ?>
  <h2 class="pagetitle"><?php printf(_c('Archive for %s|Monthly archive page'), get_the_time('F, Y')); ?></h2>
  <?php  } elseif (is_year()) { ?>
  <h2 class="pagetitle"><?php printf(_c('Archive for %s|Yearly archive page'), get_the_time('Y')); ?></h2>
  <?php  } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    <?php } ?>
  <?php while (have_posts()) : the_post(); ?>
  <div class="post"  <?php post_class(); ?>>
    <h3 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to'); ?> <?php the_title(); ?>">
      <?php the_title(); ?>
      </a></h3>
    <div class="entry">
      <?php the_content("&raquo; Read more" , 0); ?>
    </div>
    <div class="postmeta">
      <?php the_time('F j, Y') ?>
      &#183;
      <?php _e('Cat'); ?>
      <?php the_category(', ') ?>
      |
      <?php comments_popup_link('No Comments', '1 Comment', '% Comments');?>
      &#183;
      <?php if(function_exists('the_views')) { the_user_views(' View(s) ', true);} ?>
      <?php edit_post_link(__('Edit'), ' &#183; ', ''); ?>
    </div>
  </div>
  <?php endwhile; ?>
  <div id="post_navigation">
    <?php if(function_exists('wp_pagenavi'))  { wp_pagenavi();} else { ?>
    <span class="left">
    <?php next_posts_link('&laquo; Older Entries') ?>
    </span> <span class="right">
    <?php previous_posts_link('Newer Entries &raquo;') ?>
    </span>
    <div style="clear:both;"></div>
    <?php } ?>
  </div>
</div>
<?php get_sidebar(); ?>
<div style="clear:both"></div>
<?php get_footer(); ?>
