<?php
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>

<p class="nocomments">
  <?php _e('This post is password protected. Enter the password to view comments.'); ?>
</p>
<?php
		return;
	}
?>
<?php
		$trackbacks = $comments_by_type['pings'];
 ?>
<?php if ($comments || comments_open()) : ?>
<h4 class="comments"> <span class="alignleft">
  <?php comments_number('No Responses','One Response','% Responses');?>
  </span>
  <?php if ( comments_open() ) ?>
  <a href="#respond" title="<?php _e('Go to respond'); ?>">Leave a comment</a> </h4>
<?php
		if ($comments && count($comments) - count($trackbacks) > 0 ) 
		{
?>
<div id="commentlist">
  <!-- comments START -->
  <ul id="thecomments">
    <?php wp_list_comments('type=comment&callback=custom_comments');?>
  </ul>
  <?php
	if (get_option('page_comments')) {
		$comment_pages = paginate_comments_links('echo=0');
		if ($comment_pages) {
?>
  <div class="navigation">
    <?php _e('Comment pages'); ?>
    <span><?php echo $comment_pages; ?></span> <span id="cp_post_id"><?php echo $post->ID; ?></span> </div>
  <?php }  }?>
</div>
<?php
		}
?>
<?php endif; ?>
<?php if ( comments_open() ) : ?>
<div id="respond">
<?php comment_form(); ?>
</div>
<?php else : ?>
<p class="nocomments">
  <?php _e('Comments are closed.'); ?>
</p>
<?php endif; ?>
<!-- trackbacks START -->
<?php if ($trackbacks) : $trackbackcount = 0; ?>
<div id="trackbacks">
  <h4 class="trackback"> <span class="alignleft">
    <?php _e('Trackbacks'); ?>
    (<?php echo count($trackbacks);?>)
    <?php if(pings_open()) : ?>
    <a rel="nofollow" href="<?php trackback_url(); ?>">
    <?php _e('Make a trackback'); ?>
    </a>
    <?php endif; ?>
    </span> <a href="javascript:void();" onClick="folder(thetrackback)">
    <?php _e('Click to see'); ?>
    </a> </h4>
  <div id="thetrackback" style="display:none">
    <ol id="thetrackbacks">
      <?php foreach ($trackbacks as $comment) : ?>
      <li class="trackback"> <a href="<?php comment_author_url() ?>">
        <?php comment_author(); ?>
        </a> </li>
      <?php endforeach; ?>
    </ol>
  </div>
</div>
<?php endif; ?>
