//滚动至页面顶部
function goTop(acceleration, time) {
	acceleration = acceleration || 0.1;
	time = time || 16;

	var dx = 0;
	var dy = 0;
	var bx = 0;
	var by = 0;
	var wx = 0;
	var wy = 0;

	if (document.documentElement) {
		dx = document.documentElement.scrollLeft || 0;
		dy = document.documentElement.scrollTop || 0;
	}
	if (document.body) {
		bx = document.body.scrollLeft || 0;
		by = document.body.scrollTop || 0;
	}
	var wx = window.scrollX || 0;
	var wy = window.scrollY || 0;

	var x = Math.max(wx, Math.max(bx, dx));
	var y = Math.max(wy, Math.max(by, dy));

	var speed = 1 + acceleration;
	window.scrollTo(Math.floor(x / speed), Math.floor(y / speed));
	if(x > 0 || y > 0) {
		var invokeFunction = "goTop(" + acceleration + ", " + time + ")"
		window.setTimeout(invokeFunction, time);
	}
}
(function() {

function $(id) {
	return document.getElementById(id);
}

window['RE'] = {};
window['RE']['$'] = $;

function reply(authorId, commentId, commentBox) {
	var author = RE.$(authorId).innerHTML;
	var insertStr = '<a href="#' + commentId + '">@'+ author.replace(/\t|\n|\r\n/g, "")+':</a> ';

	insertReply(insertStr, commentBox);
}


function quote(authorId, commentId, commentBodyId, commentBox) {
	var author = RE.$(authorId).innerHTML;
	var comment = RE.$(commentBodyId).innerHTML;

	var insertStr = '<blockquote>';
	insertStr += '\n<strong><a href="#' + commentId + '">' + author.replace(/\t|\n|\r\n/g, "") + '</a>:</strong>';
	insertStr += comment.replace(/\t/g, "");
	insertStr += '</blockquote>\n';

	insertQuote(insertStr, commentBox);
}

function insertReply(insertStr, commentBox) {
	if(RE.$(commentBox) && RE.$(commentBox).type == 'textarea') {
		field = RE.$(commentBox);

	} else {
		alert("The comment box does not exist!");
		return false;
	}

	if (field.value.indexOf(insertStr) > -1) {
		alert("You've already appended this reply!");
		return false;
	}

	if (field.value.replace(/\s|\t|\n/g, "") == '') {
		field.value = insertStr;
	} else {
		field.value = field.value.replace(/[\n]*$/g, "") + '\n\n' + insertStr;
	}
}


function insertQuote(insertStr, commentBox) {
	if(RE.$(commentBox) && RE.$(commentBox).type == 'textarea') {
		field = RE.$(commentBox);

	} else {
		alert("The comment box does not exist!");
		return false;
	}

	if(document.selection) {
		field.focus();
		sel = document.selection.createRange();
		sel.text = insertStr;
		field.focus();

	} else if (field.selectionStart || field.selectionStart == '0') {
		var startPos = field.selectionStart;
		var endPos = field.selectionEnd;
		var cursorPos = startPos;
		field.value = field.value.substring(0, startPos)
					+ insertStr
					+ field.value.substring(endPos, field.value.length);
		cursorPos += insertStr.length;
		field.focus();
		field.selectionStart = cursorPos;
		field.selectionEnd = cursorPos;

	} else {
		field.value += insertStr;
		field.focus();
	}
}
window['RE_CON'] = {};
window['RE_CON']['reply'] = reply;
window['RE_CON']['quote'] = quote;
})();


function folder(d) {
    if (d.style.display == 'none') {
      d.style.display = '';
    }else{
      d.style.display = 'none';
    }

}